YPWHICH(1) | General Commands Manual | YPWHICH(1)

# NAME

`ypwhich` —
return hostname of NIS server of map master

# SYNOPSIS

`ypwhich` | [`-T`] [`-d` domain] [[`-h`] host]

`ypwhich` | [`-fTt`] [`-d` domain] [`-h` host] `-m` [mname]

`ypwhich` | `-x`

# DESCRIPTION

`ypwhich` tells which NIS server supplies NIS services to a client, or which is the master for a map. If invoked without arguments, it gives the NIS server for the local machine. If host is specified, that machine is queried to find out which NIS server it is using.

The options are as follows:

`-d` domain
  Specify a domain other than the default domain.
`-f`
  When used in conjunction with `-m`, force `ypwhich` to query host directly, without using the local copy of ypbind(8).
`-h` host
  Specify a host other than localhost to query for information.
`-m` [mname]
  Find the master NIS server for the named map. mname can be a map name or nickname. If mname is omitted, `ypwhich` will produce a list of available maps.
`-T`
  Use TCP protocol instead of UDP.
`-t`
  Inhibit translation of map nicknames to their corresponding map names.
`-x`
  Display the map nickname table, found in /var/yp/nicknames. A built-in default translation table is used if /var/yp/nicknames does not exist (see nicknames(5) for details).

# EXIT STATUS

`ypwhich` exits with a non-zero exit code if `-m` is used, and there was a problem in determining the map's master.

# SEE ALSO

domainname(1), ypcat(1), ypmatch(1), nicknames(5), nis(8), ypbind(8), yppoll(8), ypset(8)

# AUTHORS

Charles D. Cranor
Greywolf

January 24, 2008 | NetBSD 9.4